Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 127969 - media-video/mplayer[-bin]: Multiple integer overflows (CVE-2006-1502)
Summary: media-video/mplayer[-bin]: Multiple integer overflows (CVE-2006-1502)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL: http://www.xfocus.org/advisories/2006...
Whiteboard: A2 [glsa] DerCorny
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-29 04:15 UTC by Matthias Geerdsen (RETIRED)
Modified: 2006-10-15 04:18 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Geerdsen (RETIRED) gentoo-dev 2006-03-29 04:15:44 UTC
[xfocus-SD-060329]
MPlayer: Multiple integer overflows

  MPlayer is a media player capable of handling multiple multimedia file
formats.

  XFOCUS team (http://www.xfocus.org/) had  discovered
Multiple integer overflows .Those can lead to a heap-based buffer
overflow. This could result in the execution of arbitrary code with the
permissions of the user running MPlayer.


Affected packages
=================

    -------------------------------------------------------------------
     Package              /    Vulnerable    /              Unaffected
    -------------------------------------------------------------------
   media-video/mplayer     <= 1.0.20060329

Description
===========

[1]in libmpdemux/asfheader.c
- -----------------------------------
    218           asf_scrambling_h=buffer[0];
    219           asf_scrambling_w=(buffer[2]<<8)|buffer[1];
    220           asf_scrambling_b=(buffer[4]<<8)|buffer[3];
    221           asf_scrambling_w/=asf_scrambling_b;
char convert to int ,int value would be negative number.
this lead to  asf_descrambling() heap-based buffer overflow.


[2]in libmpdemux/aviheader.c
- -----------------------------------
    218       s->wLongsPerEntry = stream_read_word_le(demuxer->stream);
    219       s->bIndexSubType = stream_read_char(demuxer->stream);
    220       s->bIndexType = stream_read_char(demuxer->stream);
    221       s->nEntriesInUse = stream_read_dword_le(demuxer->stream);
    222       *(uint32_t *)s->dwChunkId =
stream_read_dword_le(demuxer->stream);
    223       stream_read(demuxer->stream, (char *)s->dwReserved, 3*4);
    224       memset(s->dwReserved, 0, 3*4);
    225
    226       print_avisuperindex_chunk(s,MSGL_V);
    227
    228       msize = sizeof (uint32_t) * s->wLongsPerEntry *
s->nEntriesInUse;[ERROR]
    229       s->aIndex = malloc(msize);
    230       memset (s->aIndex, 0, msize);
    231       s->stdidx = malloc (s->nEntriesInUse * sizeof
(avistdindex_chunk));[ERROR]
    232       memset (s->stdidx, 0, s->nEntriesInUse * sizeof
(avistdindex_chunk));
    233
    234       // now the real index of indices
    235       for (i=0; i<s->nEntriesInUse; i++) {
    236           chunksize-=16;
    237           s->aIndex[i].qwOffset =
stream_read_dword_le(demuxer->stream) & 0xffffffff;
    238           s->aIndex[i].qwOffset |=
((uint64_t)stream_read_dword_le(demuxer->stream) & 0xffffffff)<<32;
    239           s->aIndex[i].dwSize =
stream_read_dword_le(demuxer->stream);
    240           s->aIndex[i].dwDuration =
stream_read_dword_le(demuxer->stream);
    241           mp_msg (MSGT_HEADER, MSGL_V, "ODML (%.4s): [%d]
0x%016"PRIx64" 0x%04x %u\n",
    242                   (s->dwChunkId), i,
    243                   (uint64_t)s->aIndex[i].qwOffset,
s->aIndex[i].dwSize, s->aIndex[i].dwDuration);
    244       }

[ERROR] two integer overflows lead to a heap-based buffer overflow.
NOTE: aviheader.c have another potential integer overflows.


ABOUT XCON (Ad Time  ;)  )
========================
  XCon2006 the Fifth Information Security Conference will be held
in Beijing, China, during August 18-20, 2006. ...
  more at xcon2006 call for paper
  http://www.xfocus.org/documents/200603/14.html

  Welcome  ;)


- --

Kind Regards,

- ---
XFOCUS Security Team
http://www.xfocus.org


___________________

according to this news item <http://www.heise.de/newsticker/meldung/71422> (german), same code structures can be found in xine too


media-video, pls verify, update,...
Comment 1 Stefan Cornelius (RETIRED) gentoo-dev 2006-03-29 06:06:45 UTC
you know the deal
Comment 2 Luca Barbato gentoo-dev 2006-03-29 06:40:09 UTC
Do they have a testcase?
Comment 3 Luca Barbato gentoo-dev 2006-03-29 07:14:31 UTC
Reimar could you please have a look?
Comment 4 Reimar Döffinger 2006-03-30 01:27:45 UTC
Partial fixes have been applied (e.g. a check for s->wLongsPerEntry added, but one for nEntriesInUse is till missing).
I don't like to hurry these things too much, you'll only end up breaking more than fixing.
Comment 5 Stefan Cornelius (RETIRED) gentoo-dev 2006-04-05 23:01:04 UTC
any news here? A3 security bugs should be resolved in 10days - not much time left.
Comment 6 Thierry Carrez (RETIRED) gentoo-dev 2006-04-06 09:27:43 UTC
Especially since it's in fact an A2 (5 days). Potential execution of arbitrary code through malicious files that one can download and feed to the affected app.
Comment 7 Reimar Döffinger 2006-04-06 14:14:37 UTC
I am unfortunately not well informed on this, but I think both are now fixed in MPlayer CVS.
I do not like both patches since IMHO they are larger than needed, but have a look and decide yourselves:
http://www1.mplayerhq.hu/cgi-bin/cvsweb.cgi/main/libmpdemux/aviheader.c.diff?r2=1.76&r1=1.72&f=u
http://www1.mplayerhq.hu/cgi-bin/cvsweb.cgi/main/libmpdemux/asfheader.c.diff?r2=1.50&r1=1.47&f=u
Comment 8 Luca Barbato gentoo-dev 2006-04-06 15:28:20 UTC
I'll provide an updated snapshot within the weekend or we are in hurry?
Comment 9 Luca Barbato gentoo-dev 2006-04-08 09:35:05 UTC
ebuild available, please test and report me of any issues.
Comment 10 Thierry Carrez (RETIRED) gentoo-dev 2006-04-09 03:49:33 UTC
Arches please test the masked 20060408 and report failure/success.
Comment 11 UncleOwen 2006-04-09 03:52:07 UTC
Please don't forget that there's a mplayer-bin package, that's probably also vulnerable.
Comment 12 Thierry Carrez (RETIRED) gentoo-dev 2006-04-09 03:58:44 UTC
dang: please bump mplayer-bin too.
We should probably open a separate auditing bug to assess if xine is affected or not.
Comment 13 Thomas Cort (RETIRED) gentoo-dev 2006-04-09 09:35:00 UTC
(In reply to comment #10)
> Arches please test the masked 20060408 and report failure/success.

Is there a test case / sample data?
Comment 14 René Nussbaumer (RETIRED) gentoo-dev 2006-04-09 10:24:16 UTC
stable on hppa
Comment 15 Matthias Langer 2006-04-09 14:37:52 UTC
mplayer-1.0.20060408 seems to work on x86. Tested with differnt movie formats/containers (xvid, divx, avi, ogm, dvd-image). The only strange thing is that i sometimes get "Failed to open ${HOME}/.mplayer/default.sub" when opening a movie. As the movie is played however, this seems to be a cosmetic problem.

Portage 2.0.54 (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.5-r3, 2.6.15-gentoo-r5 i686)
=================================================================
System uname: 2.6.15-gentoo-r5 i686 AMD Athlon(tm) XP 2400+
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig colission-protect distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.inode.at/ "
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LINGUAS="en de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.1/gentoo-portage"
USE="x86 3dnow 3dnowext X a52 aalib alsa apm audiofile avi berkdb bitmap-fonts bonobo bzip2 bzlib cairo cdr cli crypt css ctype cups curl dba dbus divx4linux dri dts dv dvd dvdr dvdread emboss encode evo exif expat fam fame fastbuild ffmpeg firefox flac foomaticdb force-cgi-redirect fortran ftp gd gdbm gif glut gmp gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hal idn imagemagick imlib ipv6 isdnlog java jpeg junit lcms libg++ libwww mad memlimit mhash mikmod mmx mmxext mng motif mp3 mpeg nautilus ncurses nls nptl nsplugin nvidia ogg oggvorbis openal opengl pam pcre pdflib perl plotutils png posix pppd python quicktime readline real ruby sdl session simplexml slang soap sockets speex spell spl sqlite sse ssl subtitles svga tcltk tcpd tetex theora tiff tokenizer truetype truetype-fonts type1-fonts udev unicode usb vcd video_cards_nvidia vorbis win32codecs wma xine xml xml2 xmms xsl xv xvid zlib linguas_en linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LDFLAGS
Comment 16 Matthias Langer 2006-04-09 14:39:51 UTC
By the way, i've emerged mplayer-1.0.20060408 with

-3dfx +3dnow +3dnowext +X +aac +aalib +alsa (-altivec) -arts -bidi -bindist -bl -cdparanoia -cpudetection -custom-cflags -debug -dga -directfb -doc +dts +dv -dvb +dvd +dvdread -edl +encode -esd -fbcon -ggi +gif +gtk -i8x0 +ipv6 -jack -joystick +jpeg -libcaca -lirc -live -livecd -lzo +mad -matroska -matrox +mmx +mmxext -musepack -nas +nvidia +openal +opengl -oss +png +real -rtc -samba +sdl +sse -sse2 +svga -tga +theora +truetype +unicode -v4l -v4l2 +vorbis +win32codecs -x264 -xanim -xinerama +xmms +xv +xvid -xvmc
Comment 17 Markus Rothe (RETIRED) gentoo-dev 2006-04-09 14:47:31 UTC
mplayer runs fine on ppc64, too. But I can also confirm the "Failed to open ${HOME}/.mplayer/default.sub" message. I thing this is *not* ready for stable until this is fixed, is it?
Comment 18 Luca Barbato gentoo-dev 2006-04-09 15:20:22 UTC
It looks purely cosmetic
Comment 19 Thomas Cort (RETIRED) gentoo-dev 2006-04-09 16:38:01 UTC
From viewing the cvs logs and previous revisions, it looks like the alpha and ia64 stable KEYWORDs where copied from the mplayer-1.0.20060302 ebuild. mplayer runs fine on alpha, so please keep the alpha KEYWORD. I also get the "Failed to open ${HOME}/.mplayer/default.sub" message, but as mentioned above it seems purely cosmetic.

Comment 20 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-04-09 23:30:27 UTC
There's code analogue to the first chunk on xine's demux_asf.c but there the buffer is declared as uint8_t[] so it shouldn't be much of a problem.

Instead for the second chunk, although it _seems_ that the code are vaguely relatives, I can't find a similar pattern inside the code.

So i suppose xine-lib is not affected by this in the current form.
Comment 21 Daniel Gryniewicz (RETIRED) gentoo-dev 2006-04-10 06:46:17 UTC
mplayer-bin is bumped.
Comment 22 Chris Gianelloni (RETIRED) gentoo-dev 2006-04-10 07:53:48 UTC
"Failed to open ${HOME}/.mplayer/default.sub" is normal if you don't *have* a ${HOME}/.mplayer/default.sub file.  The file is for subtitles, so like you don't have one.  Anyway, it is totally cosmetic, unless, of course, you have this file and it isn't being opened properly.
Comment 23 Gustavo Zacarias (RETIRED) gentoo-dev 2006-04-10 10:01:10 UTC
sparc looks good, however the missing sub thingie is annoying, it shows up for most video-related media and on a default config.
Comment 24 Joshua Jackson (RETIRED) gentoo-dev 2006-04-10 21:32:13 UTC
x86 checks out okie, as Matthias Langer  said in #15
Comment 25 Stefan Cornelius (RETIRED) gentoo-dev 2006-04-12 09:37:16 UTC
media-video, is this ready to be unmasked? If so, please do that - thanks!
Comment 26 Luca Barbato gentoo-dev 2006-04-13 07:41:15 UTC
ebuild unmasked, hopefully nothing else slipped
Comment 27 René Nussbaumer (RETIRED) gentoo-dev 2006-04-14 07:06:29 UTC
forgot to remove from cc
Comment 28 Thierry Carrez (RETIRED) gentoo-dev 2006-04-14 13:37:42 UTC
Remaining arches should test and mark stable.
amd64: you should also do a new mplayer-bin.
Comment 29 Luca Barbato gentoo-dev 2006-04-14 17:16:42 UTC
obviously some issue come up after unmask on the language dependent part...

New snapshot uploaded with fixed related. Please help me doublechecking it
Comment 30 Thierry Carrez (RETIRED) gentoo-dev 2006-04-15 05:57:26 UTC
Arches, please test and mark stable the 1.0.20060415 snapshot.
dang/amd64 please provide a fixed mplayer-bin too.
Comment 31 Thomas Cort (RETIRED) gentoo-dev 2006-04-15 13:51:56 UTC
1.0.20060415 stable on alpha.
Comment 32 Joshua Jackson (RETIRED) gentoo-dev 2006-04-15 13:54:17 UTC
Well, we'd love to mark it stable, however we need to know about x264..as its a possible depend and all versions are ~arched (I know that it works fine here as I've done a ton of h264 encoded videos with it). So before I go test it whats the good word on that?
Comment 33 Matthias Langer 2006-04-15 16:22:54 UTC
I've just did some testing with mplayer-1.0.20060415 [-3dfx +3dnow +3dnowext +X +aac +aalib +alsa (-altivec) -arts -bidi -bindist -bl -cdparanoia -cpudetection -custom-cflags -debug -dga -directfb -doc +dts +dv -dvb +dvd +dvdread -edl +encode -esd -fbcon -ggi +gif +gtk -i8x0 +ipv6 -jack -joystick +jpeg -libcaca -lirc -live -livecd -lzo +mad -matroska -matrox +mmx +mmxext -musepack -nas +nvidia +openal +opengl -oss +png +real -rtc -samba +sdl +sse -sse2 +svga -tga +theora +truetype +unicode -v4l -v4l2 +vorbis +win32codecs -x264 -xanim -xinerama +xmms +xv +xvid -xvmc] on x86. My results and 'emerge --info' are the same as in comment #15.
Comment 34 Jason Wever (RETIRED) gentoo-dev 2006-04-15 18:14:54 UTC
Seems good on SPARC, marked stable.  Feel free to CC us again if something comes up.
Comment 35 Joshua Jackson (RETIRED) gentoo-dev 2006-04-16 20:52:40 UTC
Alright, x86 has been done. (~_~)
Comment 36 Tobias Scherbaum (RETIRED) gentoo-dev 2006-04-17 02:07:04 UTC
ppc stable
Comment 37 René Nussbaumer (RETIRED) gentoo-dev 2006-04-17 10:37:34 UTC
stable on hppa
Comment 38 Markus Rothe (RETIRED) gentoo-dev 2006-04-17 11:55:47 UTC
stable on ppc64
Comment 39 Simon Stelling (RETIRED) gentoo-dev 2006-04-17 13:55:26 UTC
I fail to compile gpac on amd64 which is an indirect dependency:

make[3]: Entering directory `/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/applications/mp4client'
gcc -march=opteron -ggdb -pipe -fno-strict-aliasing -fPIC -Wall -I/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/include -g -DGPAC_MODULES_PATH=\"/var/tmp/portage/gpac-0.4.1_pre20060122/image//usr/lib/gpac\" -c -o main.o main.c
gcc -Wl,--warn-common -g -o ../../bin/gcc/MP4Client main.o  -L../../bin/gcc -lgpac -lz
make[3]: Leaving directory `/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/applications/mp4client'
install -c -s -m 755 ../../bin/gcc/MP4Client "/var/tmp/portage/gpac-0.4.1_pre20060122/image//usr/bin"
make[2]: Leaving directory `/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/applications/mp4client'
make[2]: Entering directory `/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/applications/osmozilla'
g++ -march=opteron -ggdb -pipe -fno-strict-aliasing -fPIC -Wall -I/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/include -I/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk -I/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include -I/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include -I/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/java/include -I/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include  -g -DXP_UNIX -DMOZ_X11 -DNPBASIC_EXPORTS -DMOZILLA_STRICT_API -DXPCOM_GLUE -c -o osmozilla.o osmozilla.cpp
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:55,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:51,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prcpucfg.h:720:2: #error "Unknown CPU architecture"
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:51,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:259:2: #error No suitable type for PRInt8/PRUint8
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:284:2: #error No suitable type for PRInt16/PRUint16
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:316:2: #error No suitable type for PRInt32/PRUint32
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:379:2: #error 'sizeof(int)' not sufficient for platform use
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:51,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:402: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:429: error: `PRIntn' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:439: error: `PRUint8' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:514,                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:51,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:45: error: `PRUintn' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:47: error: `PRIntn' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtypes.h:514,                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:51,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:114: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:125: error: `PRUint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:133: error: `PRUint8' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:154: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:168: error: `PRInt16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/obsolete/protypes.h:178: error: `PRInt8' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:176: error: `PRUint32' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:183,                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsError.h:299: error: `nsresult' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:11,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nscore.h:239: error: `PRUint16' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsrootidl.h:12,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:10,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:85: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:86: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:113: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:114: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:116: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:117: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:118: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:120: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:121: error: `PRInt16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:124: error: `PRInt8' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:126: error: `PRInt16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:266: error: `PRBool' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:267: error: ISO C++ forbids declaration of `default_to_gmt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:281: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prtime.h:287: error: `PRUint32' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsBase.h:44,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:116,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsID.h:58: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsID.h:59: error: `PRUint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsID.h:60: error: `PRUint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsID.h:61: error: `PRUint8' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsID.h:74: error: `PRBool' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsID.h:93: error: `PRBool' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupports.h:116,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:10,
                 from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsBase.h:71: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsBase.h:97: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsBase.h:105: error: `nsrefcnt' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsBase.h:114: error: `nsrefcnt' does not name a type
In file included from osmozilla.cpp:38:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:57: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:60: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:74: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:77: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h: In static member function `static const nsIID& nsIServiceManager::GetIID()':
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIServiceManager.h:43: error: too many initializers for `const nsIID'
In file included from osmozilla.cpp:39:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIMemory.h: At global scope:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIMemory.h:106: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIMemory.h:114: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIMemory.h: In static member function `static const nsIID& nsIMemory::GetIID()':
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIMemory.h:57: error: too many initializers for `const nsIID'
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:57,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h: At global scope:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:69: error: `PRIntn' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:69: error: ISO C++ forbids declaration of `aLine' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:74: error: `PRIntn' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:74: error: ISO C++ forbids declaration of `aLine' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:79: error: `PRIntn' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:79: error: ISO C++ forbids declaration of `aLine' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:85: error: `PRIntn' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsDebug.h:85: error: ISO C++ forbids declaration of `aLine' with no type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:76,                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:48,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:61,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:58: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:105: error: `PRIntervalTime' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:123: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:142: error: `PRIntervalTime' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:143: error: `PRIntervalTime' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:144: error: `PRIntervalTime' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:163: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:164: error: `PRUint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prinrval.h:165: error: `PRUint32' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:48,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:61,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:140: error: `PRUint32' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:140: error: ISO C++ forbids declaration of `stackSize' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:202: warning: `PR_NewThreadPrivateIndex' initialized and declared `extern'
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:203: error: `PRUintn' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:203: error: `newIndex' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:203: error: expected primary-expression before "destructor"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:203: error: initializer expression list treated as compound expression
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:216: warning: `PR_SetThreadPrivate' initialized and declared `extern'
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:216: error: `PRUintn' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:216: error: expected primary-expression before "void"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:216: error: initializer expression list treated as compound expression
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:227: warning: `PR_GetThreadPrivate' initialized and declared `extern'
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:227: error: `PRUintn' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:264: warning: `PR_Sleep' initialized and declared `extern'
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/prthread.h:264: error: `PRIntervalTime' was not declared in this scope
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:49,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:61,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/pratom.h:57: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/pratom.h:68: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/pratom.h:80: error: `PRInt32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/nspr/include/pratom.h:92: error: `PRInt32' does not name a type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:52,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:61,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:116: error: `nsrefcnt' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:118: error: `PRUint32' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:118: error: ISO C++ forbids declaration of `aNewRefCnt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:118: error: ISO C++ forbids declaration of `aInstanceSize' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:121: error: `nsrefcnt' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:122: error: ISO C++ forbids declaration of `aNewRefCnt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:125: error: `PRUint32' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:125: error: ISO C++ forbids declaration of `aInstanceSize' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:128: error: `PRUint32' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsTraceRefcnt.h:128: error: ISO C++ forbids declaration of `aInstanceSize' with no type
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:61,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:83: error: expected `)' before "aValue"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:86: error: ISO C++ forbids declaration of `nsrefcnt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:86: error: expected `;' before "operator"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:87: error: expected `;' before "nsrefcnt"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:87: error: ISO C++ forbids declaration of `nsrefcnt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:87: error: expected `;' before "operator"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:89: error: expected `;' before "nsrefcnt"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:89: error: ISO C++ forbids declaration of `nsrefcnt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:89: error: expected `;' before "operator"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:90: error: expected `;' before "operator"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:90: error: `nsrefcnt' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:91: error: `nsrefcnt' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:94: error: ISO C++ forbids declaration of `nsrefcnt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:94: error: expected `;' before "operator"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:95: error: ISO C++ forbids declaration of `nsrefcnt' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:95: error: expected `;' before "operator"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:96: error: `nsrefcnt' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h: In constructor `nsAutoRefCnt::nsAutoRefCnt()':
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:82: error: class `nsAutoRefCnt' does not have any field named `mValue'
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:14,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:794,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:61,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIProgrammingLanguage.h: In static member function `static const nsIID& nsIProgrammingLanguage::GetIID()':
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIProgrammingLanguage.h:35: error: too many initializers for `const nsIID'
In file included from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsImpl.h:794,
                 from /var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:61,
                 from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h: At global scope:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:47: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:62: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:69: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:75: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:82: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:88: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:114: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:124: error: `nsresult' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h: In static member function `static const nsIID& nsIClassInfo::GetIID()':
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsIClassInfo.h:36: error: too many initializers for `const nsIID'
In file included from osmozilla.cpp:40:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h: At global scope:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:112: error: expected init-declarator before "ns_if_addref"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:112: error: expected `;' before "ns_if_addref"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h: In static member function `static const nsIID& nsCOMTypeInfo<nsISupports>::GetIID()':
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:209: error: too many initializers for `const nsIID'
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h: At global scope:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:219: error: expected init-declarator before "CallQueryInterface"
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsISupportsUtils.h:219: error: expected `;' before "CallQueryInterface"
In file included from osmozilla.cpp:42:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/xpcom/include/nsMemory.h:69: error: `nsresult' does not name a type
In file included from npplat.h:51,
                 from osmozilla.h:43,
                 from osmozilla.cpp:44:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:225: error: `int16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:226: error: `int16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:256: error: `uint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:257: error: `uint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:264: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:265: error: `uint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:272: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:279: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:280: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:281: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:282: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:287: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:288: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:308: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:313: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:324: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:435: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:436: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:437: error: `uint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:438: error: `uint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:463: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:632: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:634: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:637: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:638: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:639: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:642: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:644: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:645: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:650: error: `int16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:652: error: `NPReason' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:652: error: ISO C++ forbids declaration of `reason' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:656: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:657: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:664: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:666: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:668: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:672: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:675: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:676: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:678: error: `int32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:679: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:682: error: `uint32' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:684: error: `uint32' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:690: error: `NPError' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npapi.h:691: error: `NPError' does not name a type
In file included from npplat.h:52,
                 from osmozilla.h:43,
                 from osmozilla.cpp:44:
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:153: error: ISO C++ forbids declaration of `NPError' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:153: error: typedef `NPError' is initialized (use __typeof__ instead)
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:153: error: `NPP_NewUPP' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:153: error: expected `,' or `;' before '(' token
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:235: error: `uint16' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:235: error: ISO C++ forbids declaration of `stype' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:262: error: `NPReason' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:262: error: ISO C++ forbids declaration of `reason' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:289: error: ISO C++ forbids declaration of `int32' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:289: error: typedef `int32' is initialized (use __typeof__ instead)
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:289: error: `NPP_WriteReadyUPP' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:289: error: expected `,' or `;' before '(' token
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:400: error: ISO C++ forbids declaration of `int16' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:400: error: typedef `int16' is initialized (use __typeof__ instead)
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:400: error: `NPP_HandleEventUPP' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:400: error: expected `,' or `;' before '(' token
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:429: error: `NPReason' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:429: error: ISO C++ forbids declaration of `reason' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:598: error: `uint32' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:598: error: ISO C++ forbids declaration of `len' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:653: error: `uint32' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:653: error: ISO C++ forbids declaration of `len' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:765: error: `NPReason' has not been declared
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:765: error: ISO C++ forbids declaration of `reason' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:844: error: typedef `NPN_MemAllocUPP' is initialized (use __typeof__ instead)
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:844: error: `uint32' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:897: error: ISO C++ forbids declaration of `uint32' with no type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:897: error: typedef `uint32' is initialized (use __typeof__ instead)
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:897: error: `NPN_MemFlushUPP' was not declared in this scope
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:897: error: expected `,' or `;' before '(' token
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1077: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1078: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1079: error: `NPP_NewUPP' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1085: error: `NPP_WriteReadyUPP' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1088: error: `NPP_HandleEventUPP' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1096: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1097: error: `uint16' does not name a type
/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/extra_lib/include/gecko-sdk/plugin/include/npupp.h:1108: error: `NPN_MemFlushUPP' does not name a type
In file included from osmozilla.h:44,
                 from osmozilla.cpp:44:
nsIOsmozilla.h:31: error: `nsresult' does not name a type
nsIOsmozilla.h:34: error: `nsresult' does not name a type
nsIOsmozilla.h:37: error: `nsresult' does not name a type
nsIOsmozilla.h: In static member function `static const nsIID& nsIOsmozilla::GetIID()':
nsIOsmozilla.h:28: error: too many initializers for `const nsIID'
In file included from osmozilla.cpp:44:
osmozilla.h: At global scope:
osmozilla.h:60: error: `uint16' does not name a type
osmozilla.h:80: error: `uint16' has not been declared
osmozilla.h:80: error: ISO C++ forbids declaration of `stype' with no type
osmozilla.h:87: error: `uint16' does not name a type
osmozilla.h:88: error: `NPReason' has not been declared
osmozilla.h:89: error: ISO C++ forbids declaration of `reason' with no type
osmozilla.h:123: error: `uint16' does not name a type
osmozilla.h:127: error: `uint16' has not been declared
osmozilla.h:127: error: ISO C++ forbids declaration of `stype' with no type
osmozilla.h:129: error: `NPReason' has not been declared
osmozilla.h:129: error: ISO C++ forbids declaration of `reason' with no type
osmozilla.h:204: error: `nsresult' does not name a type
osmozilla.h:208: error: `nsresult' does not name a type
osmozilla.h:213: error: `nsresult' does not name a type
osmozilla.h:215: error: `nsresult' does not name a type
osmozilla.h:217: error: `nsresult' does not name a type
osmozilla.h:219: error: `nsresult' does not name a type
osmozilla.h:221: error: `nsresult' does not name a type
osmozilla.h:223: error: `nsresult' does not name a type
osmozilla.h:235: error: `nsresult' does not name a type
osmozilla.h:236: error: `nsrefcnt' does not name a type
osmozilla.h:237: error: `nsrefcnt' does not name a type
osmozilla.h:240: error: `nsresult' does not name a type
osmozilla.h:240: error: `nsresult' does not name a type
osmozilla.h:240: error: `nsresult' does not name a type
osmozilla.h:244: error: `nsrefcnt' does not name a type
osmozilla.cpp: In function `NPError NS_PluginInitialize()':
osmozilla.cpp:108: error: `NPN_GetValue' undeclared (first use this function)
osmozilla.cpp:108: error: (Each undeclared identifier is reported only once for each function it appears in.)
osmozilla.cpp:114: error: 'class nsISupports' has no member named 'QueryInterface'
osmozilla.cpp:115: error: 'class nsISupports' has no member named 'Release'
osmozilla.cpp: In function `void NS_PluginShutdown()':
osmozilla.cpp:123: error: 'class nsIServiceManager' has no member named 'Release'
osmozilla.cpp: In destructor `virtual nsOsmozillaInstance::~nsOsmozillaInstance()':
osmozilla.cpp:199: error: 'class nsOsmozillaPeer' has no member named 'Release'
osmozilla.cpp: In member function `virtual NPError nsOsmozillaInstance::GetValue(NPPVariable, void*)':
osmozilla.cpp:297: error: too many initializers for `nsIID'
osmozilla.cpp:298: error: `NPN_MemAlloc' cannot be used as a function
osmozilla.cpp: In member function `virtual NPError nsOsmozillaInstance::SetWindow(NPWindow*)':
osmozilla.cpp:373: error: 'struct _NPWindow' has no member named 'width'
osmozilla.cpp:374: error: 'struct _NPWindow' has no member named 'height'
osmozilla.cpp:380: error: 'struct _NPWindow' has no member named 'width'
osmozilla.cpp:381: error: 'struct _NPWindow' has no member named 'height'
osmozilla.cpp: At global scope:
osmozilla.cpp:450: error: `uint16' has not been declared
osmozilla.cpp:451: error: ISO C++ forbids declaration of `stype' with no type
osmozilla.cpp:474: error: `NPReason' has not been declared
osmozilla.cpp:475: error: ISO C++ forbids declaration of `reason' with no type
osmozilla.cpp:478: error: `uint16' does not name a type
osmozilla.cpp: In member function `nsOsmozillaPeer* nsOsmozillaInstance::getScriptablePeer()':
osmozilla.cpp:519: error: 'class nsOsmozillaPeer' has no member named 'AddRef'
osmozilla.cpp:521: error: 'class nsOsmozillaPeer' has no member named 'AddRef'
osmozilla.cpp: At global scope:
osmozilla.cpp:525: error: too many initializers for `const nsIID'
osmozilla.cpp:526: error: too many initializers for `const nsIID'
osmozilla.cpp:527: error: too many initializers for `const nsIID'
osmozilla.cpp: In constructor `nsOsmozillaPeer::nsOsmozillaPeer(nsOsmozillaInstance*)':
osmozilla.cpp:532: error: `mRefCnt' undeclared (first use this function)
osmozilla.cpp: At global scope:
osmozilla.cpp:542: error: `nsresult' does not name a type
osmozilla.cpp:548: error: `nsresult' does not name a type
osmozilla.cpp:554: error: `nsresult' does not name a type
osmozilla.cpp:565: error: `nsrefcnt' does not name a type
osmozilla.cpp:571: error: `nsrefcnt' does not name a type
osmozilla.cpp:583: error: `nsresult' does not name a type
make[2]: *** [osmozilla.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/applications/osmozilla'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/var/tmp/portage/gpac-0.4.1_pre20060122/work/gpac/applications'
make: *** [install] Error 2

!!! ERROR: media-video/gpac-0.4.1_pre20060122 failed.
!!! Function src_install, Line 147, Exitcode 2
!!! (no error message)

video team: is this a known problem? 
amd64 team: can someone else please try this?

Portage 2.0.54 (default-linux/amd64/2006.0, gcc-3.4.4, glibc-2.3.5-r2, 2.6.15-gentoo-r5 x86_64)
=================================================================
System uname: 2.6.15-gentoo-r5 x86_64 AMD Opteron(tm) Processor 242
Gentoo Base System version 1.6.14
dev-lang/python:     2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=opteron -ggdb -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=opteron -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig cvs distlocks keeptemp keepwork multilib-strict nostrip sandbox sfperms test"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LC_ALL="en_GB.UTF-8"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org"
USE="amd64 X acpi alsa apache2 audiofile avi berkdb bitmap-fonts bzip2 cdr cli crypt ctype cups curl dba debug dri dvd eds emboss encode expat fam fastbuild flac font-server foomaticdb force-cgi-redirect fortran ftp gd gif glut gnome gpm gstreamer gtk gtk2 hal idn imagemagick imlib ipv6 isdnlog jack jp2 jpeg kde lcms libwww lzw lzw-tiff memlimit mng motif mozilla mp3 mpeg ncurses network nls nptl ogg oggvorbis opengl pam pcre pdflib perl png posix pppd python qt quicktime readline sdl session simplexml soap sockets spell spl ssl svg tcltk tcpd tetex tiff tokenizer truetype truetype-fonts type1-fonts udev usb userlocales utf8 vorbis xml xml2 xpm xrandr xsl xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY
Comment 40 Daniel Gryniewicz (RETIRED) gentoo-dev 2006-04-18 14:23:03 UTC
mplayer-bin-1.0.20060415 is in the tree now.
Comment 41 Thierry Carrez (RETIRED) gentoo-dev 2006-04-22 03:11:57 UTC
(In reply to comment #39)

> video team: is this a known problem? 
> amd64 team: can someone else please try this?

Anyone with answers to these questions ? any way to disable the gpac dep for amd64 ? We need this one out some day.
Comment 42 Luis Medinas (RETIRED) gentoo-dev 2006-04-29 08:28:48 UTC
amd64 is completly done.
Thanks
Comment 43 Stefan Cornelius (RETIRED) gentoo-dev 2006-04-30 07:44:18 UTC
ready for glsa
Comment 44 Sune Kloppenborg Jeppesen gentoo-dev 2006-05-01 07:28:41 UTC
GLSA 200605-01

ia64 don't forget to mark stable to benifit from the GLSA.
Comment 45 Gian Luca Dalla Torre 2006-05-05 08:37:53 UTC
(In reply to comment #40)
> mplayer-bin-1.0.20060415 is in the tree now.
> 

Some problem with LINGUAS parameter.
In my box, (LINGUAS="it"), MPlayer is compiled with English Language.
Comment 46 Ingo Bormuth 2006-06-19 04:37:07 UTC
Stable mplayer-1.0_pre8 still triggers glsa #200605-01 and 
#200603-03 also it was released 2006.06.11.
Comment 47 Luca Barbato gentoo-dev 2006-06-20 02:21:07 UTC
It got addressed, sorry for the version mismatch